<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Uses of Class attractions.AttractionStatus</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class attractions.AttractionStatus";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../AttractionStatus.html" title="class in attractions">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class attractions.AttractionStatus" class="title">Uses of Class<br>attractions.AttractionStatus</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#attractions">attractions</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#controller">controller</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#statistics">statistics</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="attractions">
<!--   -->
</a>
<h3>Uses of <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a> in <a href="../package-summary.html">attractions</a></h3>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../package-summary.html">attractions</a> with type parameters of type <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AtraccionesActivas.</span><code><span class="memberNameLink"><a href="../AtraccionesActivas.html#attractionStatusList">attractionStatusList</a></span></code></th>
<td class="colLast">
<div class="block">List of attractions states</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">attractions</a> that return <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AtraccionesActivas.</span><code><span class="memberNameLink"><a href="../AtraccionesActivas.html#getAttractionStatus(int,java.lang.String)">getAttractionStatus</a></span>&#8203;(int&nbsp;year,
                   java.lang.String&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Get the status data for the indicated year and attraction</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">attractions</a> with parameters of type <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AtraccionesActivas.</span><code><span class="memberNameLink"><a href="../AtraccionesActivas.html#checkAttraction(attractions.AttractionStatus,int,java.lang.String)">checkAttraction</a></span>&#8203;(<a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;attractionStatus,
               int&nbsp;year,
               java.lang.String&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Check if the state control record of the attraction corresponds
 to the attraction and year indicated</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section role="region"><a id="controller">
<!--   -->
</a>
<h3>Uses of <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a> in <a href="../../controller/package-summary.html">controller</a></h3>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../controller/package-summary.html">controller</a> with parameters of type <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">StatisticsController.</span><code><span class="memberNameLink"><a href="../../controller/StatisticsController.html#addRideAdultToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">addRideAdultToAttraction</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                        <a href="../Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                        <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status,
                        int&nbsp;quantity)</code></th>
<td class="colLast">
<div class="block">Add the quantity of Adult to ride attraction count</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">StatisticsController.</span><code><span class="memberNameLink"><a href="../../controller/StatisticsController.html#addRideChildrenToAttraction(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int)">addRideChildrenToAttraction</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                           <a href="../Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                           <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status,
                           int&nbsp;quantity)</code></th>
<td class="colLast">
<div class="block">Add the quantity of Children to ride attraction count</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section role="region"><a id="statistics">
<!--   -->
</a>
<h3>Uses of <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a> in <a href="../../statistics/package-summary.html">statistics</a></h3>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../../statistics/package-summary.html">statistics</a> declared as <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">RideAttractionAnnual.</span><code><span class="memberNameLink"><a href="../../statistics/RideAttractionAnnual.html#status">status</a></span></code></th>
<td class="colLast">
<div class="block">Link to attraction status</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../statistics/package-summary.html">statistics</a> with parameters of type <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">RideAttractionStatistics.</span><code><span class="memberNameLink"><a href="../../statistics/RideAttractionStatistics.html#accumulateIntoYear(java.time.LocalDate,attractions.Attraction,attractions.AttractionStatus,int%5B%5D)">accumulateIntoYear</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                  <a href="../Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                  <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status,
                  int[]&nbsp;quantities)</code></th>
<td class="colLast">
<div class="block">Accumulate the quantities indicated and according to the date,
 in the year, month and day.The quantities is an array: int Adults, int Children.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../../statistics/package-summary.html">statistics</a> with parameters of type <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../statistics/RideAttractionAnnual.html#%3Cinit%3E(int,attractions.Attraction,attractions.AttractionStatus)">RideAttractionAnnual</a></span>&#8203;(int&nbsp;year,
                    <a href="../Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                    <a href="../AttractionStatus.html" title="class in attractions">AttractionStatus</a>&nbsp;status)</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../AttractionStatus.html" title="class in attractions">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
